%global momorel 6
%global real_name pycrypto
%global pythonver 2.5.1-11m

%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Collection of cryptographic algorithms and protocols for python
Name: python-crypto
Version: 2.0.1
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.amk.ca/python/code/crypto.html

Source0: http://www.amk.ca/files/python/crypto/pycrypto-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python-devel >= %{pythonver}
BuildRequires: python >= %{pythonver}
Requires: python >= %{pythonver}
Obsoletes: pycrypto <= %{version}
Provides: pycrypto <= %{version}

%description
pycrypto is a collection of cryptographic algorithms and protocols,
implemented for use from Python. Among the contents of the package:

    * Hash functions: MD2, MD4, RIPEMD.
    * Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-DES, IDEA, RC5.
    * Stream encryption algorithms: ARC4, simple XOR.
    * Public-key algorithms: RSA, DSA, ElGamal, qNEW.
    * Protocols: All-or-nothing transforms, chaffing/winnowing.
    * Miscellaneous: RFC1751 module for converting 128-key keys into a set of English words, primality testing.

%prep
%setup -q -n %{real_name}-%{version}

%build
python2 setup.py build

%install
%{__rm} -rf %{buildroot}
python2 setup.py install \
	--root="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ACKS ChangeLog LICENSE MANIFEST README TODO
%{python_sitelib}/Crypto/
%{python_sitelib}/%{real_name}-*.egg-info

%changelog
* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.1-6m)
- restrict python ver-rel for egginfo

* Sat Apr 26 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.1-5m)
- add egg-info to %%files section

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.1-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-3m)
- %%NoSource -> NoSource

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-2m)
- rebuild against python-2.5

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Tue Apr 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0-1m)
- import to Momonga for bittorrent
- delete out # Packager: Dag Wieers <dag@wieers.com>
- delete out # Vendor: Dag Apt Repository, http://dag.wieers.com/apt/
- nosrc 0
- add -q at setup

* Mon Dec 20 2004 Dag Wieers <dag@wieers.com> - 2.0-1
- Updated to release 2.0.

* Sat Jan 31 2004 Dag Wieers <dag@wieers.com> - 1.9-0.a6
- Initial package. (using DAR)
